/* Declaring the maximum-width of the screen, color and background-color for the whole page */
#container-all{
    background-color: white;
    color: black;
    max-width: 1500px;
}

/* Declaring the style for the title of the page and the div above the map */
#country-select-row{
    background: #EEEEEE;
    padding-bottom: 10px;
    border-radius: 15px;
    border: 2px solid #DDDDDD;
    padding: 20px;
    margin-top: 10px;
    text-anchor:middle;
    text-align:center;
}

/* Declaring the styles for the 4 divs below the map */
.col-6{
    background: #EEEEEE;
    border-radius: 10px;
    border: 2px solid #DDDDDD;
    padding: 20px;
    display:none;
}

/* Declaring the styles for the map div */
#bottom-row{
    background: #EEEEEE;
    border-radius: 10px;
    border: 2px solid #DDDDDD;
    padding: 20px;
}

/* Declaring the styles for the div with the table of all the flights */
#bottom-row-2{
    background: #EEEEEE;
    border-radius: 10px;
    border: 2px solid #DDDDDD;
    padding: 20px;
    display:none;
}

#bottom{
    height:100%
}

#flight-Info-Div{
    margin-top:80px;
}

#flight-info {
    display: flex;
    justify-content: center;
}

#middle-rows{
  height:auto;
}

#line-graph svg {
    width: 100%;
    height: auto;
}

#map-chart {
    height:auto;
}

/* Declaring the styles for the table with all the flights */
.header-cells{
    border: 1px solid black;
    padding: 10px;
    font-weight: bold;
}
.row-cells{
    border: 1px solid black;
    padding: 10px;   
}

/* Button to go back */
#goBack {
    width: 200px;
    height: 50px;
    border-radius: 25px;
    display: none;
    background-color: white;
    border: 1px solid black;
    font-size: 28px;
    font-weight: bold;
    text-anchor: middle;
    position: absolute;
  }

  /* Button to show the complete table, not just the first 5 rows */
#showMore{
    margin-top: 20px;
    width: 150px;
    height: 40px;
    border-radius: 25px;
    background-color: white;
    border: 1px solid black;
    font-size: 20px;
    font-weight: italic;
    text-anchor: middle;
}

/* Button 'Show world information' */
#showAllCountries{
    width: 250px;
    border-radius: 25px;
    background-color: white;
    border: 1px solid black;
    font-size: 20px;
    font-weight: italic;
    text-anchor: middle;
}

  /* Styles for making the website responsive */
@media (max-width: 1200px) {
    #map-chart{
      width: 100%;
    }

    #column-left, #column-right, #column-left2, #column-right2 {
        width: 100%;
    }
}

@media(max-width: 800px){
    .summary-column{
        display:none
    }
}